Introducing

Introducing NetInfo

What is NetInfo?

NetInfo is an award-winning ultimate network toolkit. Designed for both new and experienced users, NetInfo provides all the tools you need to help diagnose network problems and get information about users, hosts, and networks on the Internet or on your Intranet.

NetInfo Highlights:

  • Local Info - Use the Local Info tool to obtain information about local host and currently active version of the Windows Sockets.
  • Connections - Use the Connections tool to obtain information about current TCP/IP connections.
  • Ping - Use the Ping tool to verify connectivity to a particular device on your network.
  • Trace - Use the Trace tool to obtain the list of gateways between your computer and a particular device.
  • Lookup - Use the Lookup tool to obtain information on host names and IP addresses.
  • Finger - Use the Finger tool to obtain information about all users on a network host.
  • Whois - Use the Whois tool to obtain information on names from the Network Information Center.
  • Daytime - Use the Daytime tool to obtain local time of the day at another network host's location.
  • Time - Use the Time tool to obtain precise time value from a remote time server and to synchronize your local system clock.
  • HTML - Use the HTML tool to obtain full header information and the page data from a web server.
  • Scanner - Use the Scanner tool to scan all host names in a specified range of IP addresses and to verify host status for each IP address.
  • Services - Use the Services tool to verify a host for available network services.
  • IPMonitor - Use the IPMonitor tool to verify the network connectivity of a list of user-defined hosts.

System Requirements:

  1. Windows 9x/NT.
  2. Microsoft TCP/IP protocol.

Key Advantages:

  1. Multiple applications in one: Local Info, Connections, Ping, Trace, Lookup, Finger, Whois, Daytime, Time, HTML, Scanner, Services, and IPMonitor, organized as independent windows allow multitask operation.
  2. Multiplatform: One installation runs on Windows 95, Windows 98, and Windows NT.
  3. High performance: The software has been designed to minimize run time.
  4. User friendly: Highly intuitive interface makes operation easy for both new and experienced users.

Who needs NetInfo?

  1. Network administrators.
  2. ISPs and their customers.
  3. Law enforcement agencies - helpful in tracking ownership of various Internet sites.
  4. OEM software manufacturers who are interested in a reliable toolkit to be distributed with their own software.
  5. Companies who need an easy-to-use toolkit on every Windows 9x/NT computer.
  6. Anyone who uses Internet or Intranet.


License Agreement

NetInfo is Shareware, which means that you can use it legally for 30 days to evaluate it. If during, or at the end of, that period you decide that you would like to continue using it, please register your copy. Your single-user registration will license you to use your copy of NetInfo, will support work on future versions, new features, and bug fixes, and will provide you with technical support via email.

NetInfo may be freely distributed subject to, but not limited to, the following terms: NetInfo may not be sold or resold, distributed as a part of any commercial package, used in a commercial environment, used or distributed in support of a commercial service, or used or distributed to support any kind of profit-generating activity, even if it is being distributed freely.

If you would like to distribute NetInfo as part of a shareware distribution, magazine, Internet book, CD ROM, etc. contact us for written permission.

The integrity of the original NetInfo distribution file as distributed by author is essential. NetInfo and all of its related files must be distributed together in the original format. The NetInfo distribution file may not have files added to it or removed from it, and none of its contents may be modified, decompiled, or reverse engineered.

NetInfo is provided AS IS without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if author have been advised of the possibility of such damages.


Installing and Uninstalling

NetInfo files are stored in compressed format in the netinfo.zip file or upgrade.zip file that you downloaded.

How To Install NetInfo:

  • unzip the archive netinfo.zip in a temporary directory
  • click on the Start button on the Taskbar
  • click on the Start menu's "Run" selection
  • enter the path to the unzipped files directory
  • type "setup.exe" and click on the "OK" button
  • follow the on-screen prompts to complete the installation
  • remove the temporary directory and its contents

If you are using WinZip open netinfo.zip and select ‘Install’.

How To Upgrade NetInfo:

  • unzip the archive upgrade.zip in your NetInfo directory and overwrite existing files with files from the archive.

How To Uninstall NetInfo:

  • open the control panel
  • double click on the ‘Add/Remove Programs’ icon
  • you will see a list of installed software, select NetInfo on the list
  • click on the "Add/Remove" button
  • follow the on-screen prompts to complete the uninstallation


Year 2000 Compliance

General

NetInfo uses time information for establishing elapsed (relative) and absolute times. An example of elapsed time would be the round-trip packet travel times for Ping and Trace. An example of absolute time would be the time differential reporting capabilities found on the Time tab.

Since NetInfo depends on the correct conversion and representation of absolute calendar time as provided by the WIN32 interface that exists in Windows NT and Windows 95/98, it inherits any benefits or problems found in the time handling functions of those operating systems. The operating system is also dependent on the underlying hardware, in particular, the effects of the computer BIOS and associated clock hardware post Dec. 31, 1999. For a full discussion of the Y2K compliance issues of the underlying Microsoft® Windows® operating systems (95/98/NT), please visit Microsoft Year 2000 Readiness Disclosure & Resource Center .

Relative Time Calculation

All relative time calculations such as determining packet travel times for Ping are made without respect to the current date. The relative times are based on counters, which increment at millisecond resolution. The numbers used are based on system "uptime" and have no relation to absolute calendar time.

Absolute Time Calculation

Absolute calendar time is used for indicating the current time for printing and, in some instances, the time when a particular function is started. All years are presented to users in 4-digit format or in short date style.

User Interface Compliance: Printing

NetInfo prints a 4-digit year wherever an absolute date is represented.

Examples: 17-June-1998, 15-August-2001, etc.

Daytime Client Compliance

The daytime client is based on RFC 867, which defines the retrieval of an ASCII text string representation of the local time and date at a remote computer. NetInfo simply connects to the remote host, requests the current daytime from the host and then displays the text string verbatim. Other host generates the text displayed by NetInfo. Here is an example of the text generated by a Windows NT Daytime service:

Wednesday, April 14, 1999 15:44:00

Some systems report the time in this format:

14 APR 99 09:34:23 PST

Clearly, the second format violates year 2000 requirements, but the important thing to note in this example is that NetInfo did not generate the string nor did it attempt to alter the non-compliant date format, NetInfo only reports the text string exactly as sent to it by the other computer.

Time Client Compliance

Time works using an external Network Time Protocol server as a reference for establishing the exact absolute UTC time. The network protocol used is based on RFC 868 for 1-second resolution time establishment.

RFC 868 Time Differential and Synchronization are based on the simple connection by NetInfo to the Network Time Server's NTP port, then receiving a 4-byte packet, which represents the time relative to a fixed date. The time is the number of seconds since 00:00 (midnight) 1 Jan 1900 UTC. Since Windows makes calculations relative to 00:00 1 Jan 1970 UTC, a 70-year offset is accounted for. NetInfo then calculates, using standard Windows time functions, the actual time relative to your time zone. Time differences and corrections are calculated using your system time and the time reported by the Network Time Server. The 4 byte number will be sufficient to represent times until the year 2036, by which time the RFC 868 protocol will be superceded and made obsolete as will NetInfo.

Compliance Statement

NetInfo is designed to be compliant with the year 2000 date requirements if it is running on a year 2000 compliant operating system and hardware platform as defined by Microsoft's Y2K compliance web site.


Cracks

About NetInfo Cracks

Please never use the programs having been created by computer crackers. You are putting your computer at risk by downloading files from unreliable sites especially crack sites. In many cases these programs are Trojan horse viruses that may cause an irreparable damage to your computer!

This version of NetInfo contains a brand new self-checking routine that detects an illegal using of the product. In this case NetInfo will become unstable, causing it to crash frequently. Please note: this is not a problem with NetInfo, but a problem with its illegal use! If you receive frequent "Illegal Operation" or other GPF errors, then it is possible that you may be running NetInfo with license key, having been created illegally. To ensure product integrity, and that you are getting all the features and functionality offered by NetInfo, you will need to:

  1. Delete the registry key named HKEY_CURRENT_USER\Software\Alexander Tsarfin.

  2. Uninstall the illegal version of NetInfo.

  3. Download and re-install the legal version of NetInfo.

Thank you for supporting the legal usage of NetInfo. It ensures that developers will continue to bring you quality products and services designed to enhance your use of Internet.


 Local Info

A network tool that lets you obtain information about local host and currently active version of the Windows Sockets.

You can use the Local Info tool to:

  • Identify your computer on the network.
  • Query your implementation of the Windows Sockets to determine what basic information is available.

To use the Local Info tool, do the following:

  1. Select the Local Info tab.

    The Local Info tool displays the results in the Response area.

  2. You can click the Refresh button to update the results in the Response area.

Note:

To retrieve the MAC address of your network adapter you must to have the NetBEUI protocol installed and bound to this network adapter.

Local Info example:


Connections

A network tool that lets you obtain information about current TCP/IP connections.

You can use the Connections tool to query detailed listings of all TCP and UDP sockets on your system, including the foreign address and state of TCP connections.

To use the Connections tool, do the following:

  1. Select the Connections tab.

    The Connections tool displays the results in the Response area.

  2. In the Options dialog box set any of the options you want to use:

    TCP

    When this option is checked, the Connections tool queries a list of active sockets for TCP protocol.

    UDP

    When this option is checked, the Connections tool queries a list of active sockets for UDP protocol.

    Host Names

    When this option is checked, the Connections tool uses the numeric host address associated with the socket to look up the corresponding symbolic host name.

    Port Names

    When this option is checked, the Connections tool uses the numeric port number to look up the corresponding symbolic port name.

  3. You can click the Refresh button to update the results in the Response area.

The possible state values for TCP sockets are as follows:

CLOSED

Closed. The socket is not being used.

LISTENING

Listening for incoming connections.

SYN_SENT

Actively trying to establish connection.

SYN_RECEIVED

Initial synchronization of the connection under way.

ESTABLISHED

Connection has been established.

FIN_WAIT

Socket closed. Shutting down connection.

FIN_WAIT2

 Socket closed. Waiting for shutdown from remote.

CLOSE_WAIT

 Remote shutdown. Waiting for the socket to close.

CLOSING

Closed, then remote shutdown. Awaiting acknowledgment.

LAST_ACK

Remote shutdown, then closed. Awaiting acknowledgment.

TIME_WAIT

Wait after close for remote shutdown retransmission.

Note:

Looking up the corresponding symbolic host name for each host address can significantly increase the time it takes to complete a query.

Connections example:


Ping

 Ping (Packet Internet Groper)

A network tool that lets you verify connectivity to a particular device on your network. The term is now used like a verb as in, "please ping host A to see if it is alive."

You can use the Ping tool to:

  • Ping a remote host to verify the network connection is up.
  • Ping a remote host and view the round trip times to determine the current speed of the network connection.
  • Ping hosts along a route to isolate a hardware or software problem. First, ping 127.0.0.1 (or localhost) to verify the local network is up and running. Then, ping hosts and gateways farther and farther away.

To use the Ping tool, do the following:

  1. Select the Ping tab.

  2. In the Host text box, enter a host name or IP address for the remote host (for example, www.netscape.com).

    The drop-down list shows the previous host names or IP addresses you have pinged.

  3. In the Options dialog box set any of the options you want to use:

    Packets to send

    The number of data packets sent by the ping.

    Timeout

    The number of seconds ping tries a host that is not responding.

    Packet size

    The length in bytes of each packet sent by the ping.

  4. Click the Start button.

    The Ping tool sends an echo request and waits for the echo reply. If the ping is successful, it displays summary lines in the Response area.

    If Ping does not receive the reply within the Timeout value, it fails. A ping can fail at one of several points from your computer to the remote host: the host may not be functioning and therefore is unable to respond; a network or gateway in the path from the user may not be working; or the host may not implement the ping service.

    During the query, the Start button toggles to Stop. You can click Stop at any time to stop the query.

Note:

Ping requires a static IP address for your computer. It will also work with IP addresses assigned by a DHCP server. Ping will not work on systems that rely on emulated IP addresses such as UNIX systems running TIA or SLiRP. Ping will not work across firewalls unless the firewall has been configured to pass ICMP packets.

Ping example:


Trace

 Trace (traceroute)

A network tool that lets you obtain the list of gateways between your computer and a particular device. The tool also calculates and displays response times (in milliseconds), which identify the amount of time it takes the packet to travel the route. Response times vary depending on network load.

You can use the Trace tool to determine if a gateway is down in the path between your computer and a specified remote host. (Note that traceroute does not show the return path, only the path used to reach the address.)

To use the Trace tool, do the following:

  1. Select the Trace tab.

  2. In the Host text box, enter a host name or IP address for the remote host (for example, uuna-4.netmanage.com).

    The drop-down list shows the previous host names or IP addresses on which you've done a traceroute.

  3. In the Options dialog box set any of the options you want to use:

    Timeout

    The number of seconds traceroute tries a host that is not responding.

    Packet Size

    The length in bytes of each packet sent by the traceroute.

    Number of Hops

    Used to limit the trace (normally 30 hops reaches anywhere in the world).

  4. Click the Start button.

    Traceroute starts the trace and displays the results in the Response area.

     During the search, the Start button toggles to Stop. You can click Stop at any time to stop the search.

Note:

Traceroute requires a static IP address for your computer. It will also work with IP addresses assigned by a DHCP server. Traceroute will not work on systems that rely on emulated IP address such as UNIX systems running TIA or SLIRP. Traceroute will not work across firewalls unless the firewall has been configured to pass ICMP packets.

Trace example:


 Lookup

A network tool that lets you obtain information on host names and IP addresses. This information also includes possible aliases.

You can use the Lookup tool to:

  • Look up a host name from an IP address.
  • Find the IP address from a host name.

To use the Lookup tool, do the following:

  1. Select the Lookup tab.

  2. In the Host text box, enter a host name or IP address of the host you want to look up (for example, microsoft.com).

    The drop-down list shows the previous host names or IP addresses for which you've done a lookup.

  3. Click the Start button.

    The Lookup tool displays the results of the query in the Response area.

    During the query, the Start button toggles to Stop. You can click Stop at any time to stop the query.

Note:

Lookup requires a connection to a network with a DNS or a WINS server or other type of name server. Your computer must be configured to access the DNS.

Lookup example:


Finger

A network tool that lets you obtain information about all users on a network host. This information includes a display of current users logged on the host (their userids and usernames). Also displayed for each user are the home directory, login time, idle times, office location, last time they received mail, and last time they read mail.

A Finger request will also display any information contained in the .plan or the .project file in the user's home directory. These files are often used as a simple way to distribute information. For example, the Finger server at quake@geophys.washington.edu provides up-to-date information about earthquakes that have occurred in the northwest region of the United States.

You can use the Finger tool to search for specific users on a network host.

To use the Finger tool, do the following:

  1. Select the Finger tab.

  2. In the Query text box, enter a host name or IP address (for example, alex@l.gp.cs.cmu.edu).

    The drop-down list shows the previous host names or IP addresses for which you sent a Finger request.

  3. Click the Start button.

    The Finger client contacts the host's Finger server. The results of the query appear in the Response area. If the specified host does not have a Finger server, the Finger client displays the message:

    No server found there.

Note:

Usually, only UNIX hosts or NT hosts provide a Finger server. Many system administrators disable Finger servers, as they perceive it to be a security risk.

Finger example:


 Whois

A network tool that lets you obtain information on names from the Network Information Center.

A Whois request displays a contact name, mailing address, telephone number, and network mailbox for all users and organizations that are registered with one of the official Whois servers, such as the Internet Network Information Center (interNIC) database.

You can use the Whois tool to find administrative contacts from a Whois database.

To use the Whois tool, do the following:

  1. Select the Whois tab.

  2. In the Query text box, enter a query text (for example, whitehouse.gov).

    Enter the name or “handle” (unique identifier assigned to a Whois record) of a person or an organization. The drop-down list shows the previous query text entered. The query searches all records of the Whois database for an exact match of the name or handle.

    If you don’t know the name or handle, you can enter a partial query string followed by one or more dots. For example, entering “Mack.” finds “Mack,” “Mackall,” “Mackey.”

    If there is more than one occurrence of the name, Whois returns a summary of each. You can then extract the handle (shown in parentheses) of the name you want more information on and enter it as the query string, preceded by an exclamation mark, for example “!ABC.”

  3. In the Options dialog box set any of the options you want to use.

    NetInfo now includes new feature, which will automatically determine the Whois server to query based upon the country extension found in the query string. You can uncheck the Autodetect checkbox to force your queries to go to the server specified in Whois Setup:

         whois.internic.net

    Provides information about users and organizations registered with the Internet Network Information Center (interNIC).

    whois.arin.net

    Provides information about users and organizations registered with the American Registry for Internet Numbers server.

    whois.nic.gov

    Provides information about users and organizations on the U.S. government network.

    whois.nic.mil

    Provides information about users and organizations on the U.S. military network.

    whois.ripe.net

    Provides information about users and organizations registered with the European IP Address Allocations server.

    whois.nic.uk

    Provides information about users and organizations registered with the United Kingdom IP Address Allocations server.

    whois.ripn.net

    Provides information about users and organizations registered with the Russian IP Address Allocations server.

    whois.apnic.net

    Provides information about users and organizations registered with the Asia Pacific IP Address Allocations server.

    whois.aunic.net

    Provides information about users and organizations registered with the Australia IP Address Allocations server.

    Note: You can choose from the current list of known Whois servers and add a new server to the list.

  4. Click the Start button.

    The Whois client contacts the specified Whois server. The results of the query appear in the Response area. If the query finds a single occurrence of the search string (person or organization), it displays the detailed information for that person or organization. If it finds more than one occurrence of the search string, it displays a summary of each record that matches the search string.

Note:

To display help information on using the services that the NIC provides through Whois, send a Whois query with "help" text.

Whois example:


 Daytime

A network tool that lets you obtain local time of the day at another network host's location. Many web servers and domain name servers will respond to this request.

You can use the Daytime tool to find out the current time at any time zone around the world.

To use the Daytime tools, do the following:

  1. Select the Daytime tab.

  2. In the Server text box, enter a host name or IP address for the remote daytime server (for example, www.mit.edu).

    The drop-down list shows the previous host names or IP addresses     you have queried.

  3. Click the Start button.

    The daytime client contacts the host's daytime server. The results of the query appear in the Response area.

    Attempting to connect to a host that does not support this service will result in a connection refused message.

Daytime example:


 Time

A network tool that lets you obtain precise time value from a remote time server and synchronize your local system clock. Time servers provide a constantly updated time of day reading (in hours, minutes, and seconds) and the date (year, month, day).

You can use the Time tool to:

  • Compare your system time to that of a time server.
  • Synchronize your system clock with a time server.

To use the Time tool, do the following:

  1. Select the Time tab.

  2. In the Server text box, enter the host name or IP address for the remote time server (for example, www.mit.edu).

    The drop-down list shows the previous host names or IP addresses you have queried.

  3. Click the Start button.

    The Time tool establishes a connection with the remote time server and displays the server name, current time reported by the server, and the time difference between your computer’s clock and the time server’s clock     in the Response area.

  4. Right-click the time server in the Response area to display the pop-up menu, and then select Synchronize.

    When successful, the Time tool displays a popup message that indicates your computer’s clock was updated.

Note:

Time protocol has a 1 second resolution and do not account for packet travel times.

Time example:


HTML

HTML (HyperText Markup Language)

A network tool that lets you obtain full header information and the page data from a web server. This information also includes possible cookies.

You can use the HTML tool to debug your web sites.

To use the HTML tool, do the following:

  1. Select the HTML tab.

  2. In the URL text box enter the web address of the web page you want to query. This must be a specific web site file (for example: http://hostname/page or hostname/page).

     The drop-down list shows the previous web addresses for which you sent a HTML request.

  3. In the Options dialog box set any of the options you want to use:

    Get from the wire

    When this option is checked, the HTML tool gets the data from the wire even if it is locally cached.

    Do not cache

    When this option is checked, the HTML tool does not cache the data, either locally or in any gateways.

    Full header information

    When this option is checked, the HTML tool displays full header information.

    Page data

    When this option is checked, the HTML tool displays the page data.

  4. Click the Start button.

    The results of the query appear in the Response area. If the specified host does not have a web server, the HTML tool displays the message:

    No server found there.

HTML example:


 Scanner

A network tool that lets you scan all host names in a specified range of IP addresses and verify host status for each IP address.

You can use the Scanner tool to:

  • Resolve multiple IP addresses to host names.
  • Determine which hosts are active on a network.

To use the Scanner tool, do the following:

  1. Select the Scanner tab.

  2. In the Address text box, enter IP address to scan (for example, 192.41.61.1).

  3. In the Options dialog box set any of the options you want to use:

    Ascending

    When this option is checked, the Scanner tool scans all host names in ascending order by IP address.

    Enabled

    When this option is checked, the Scanner tool checks host status for each IP address.

    Timeout

    Number of seconds     the Scanner tool tries a host that is not responding.

    Retries

    Number of attempts     the Scanner tool tries a host that is not responding.

  4. Click the Start button.

    The Scanner tool scans the range of IP addresses. The results of the scan appear in the Hosts area.

    During the scan, the Start button toggles to Stop. You can click Stop at any time to stop the scan.

Note:

Checking host status for each IP address can significantly increase the time it takes to complete a scan.

Scanner example:


 Services

A network tool that lets you verify a host for available network services. The tool displays the currently active port and the usual service assigned to it.

You can use the Services tool to find hidden services like web servers or ftp.

To use the Services tool, do the following:

  1. Select the Services tab.

  2. In the Host text box, enter a host name or IP address for the remote host (for example, www.mit.edu).

    The drop-down list shows the previous host names or IP addresses you have queried.

  3. In the Options dialog box set any of the services you want to check.

  4. Click the Check button.

    The Services tool checks a remote host. The results of the check appear in the Response area.

    During the check, the Check button toggles to Stop. You can click Stop at any time to stop the check.

Services example:


 IPMonitor

A system tray network tool included as part of NetInfo that lets you verify the network connectivity of a list of user-defined hosts. IPMonitor alerts you to failures using a variety of techniques ranging from audible messages to icon notification.

You can use the IPMonitor tool to monitor the up/down status of IP connected computers.

To use the IPMonitor utility, do the following:

  1. Start IPMonitor.

  2. Right-click the IPMonitor icon in the Windows system tray to display the pop-up menu, and then select Details.

  3. Click the Add button. In the Host text box, enter a host name or IP address for the remote host (for example, www.netscape.com). In the Description text box enter a description for this host (for example, Netscape Netcenter). Set any of the options you want to use:

    Interval

    Number of minutes IPMonitor waits for the next check.

    Timeout

    Number of seconds IPMonitor tries a host that is not responding.

    Retries

    Number of attempts IPMonitor tries a host that is not responding.

  4. Click the OK button.

    IPMonitor starts a check for this host immediately. The results of the check appear in the Details area.

  5. Repeat items 3 and 4 to add other remote hosts to the list.

  6. Click the Close button.

Note:

You can double-click the IPMonitor icon in Windows system tray to display Details dialog box. You can right-click Details area or a host icon in this area to display the pop-up menu.

IPMonitor example:


Alias

An alternate name of the host.


Client

The requesting program or user in a client/server relationship. For example, the user of a Web browser is effectively making client requests for pages from servers all over the Web. The browser itself is a client in its relationship with the computer that is getting and returning the requested HTML file. The computer handling the request and sending back the HTML file is a server.


Cookie

A special text file that a Web site puts on your hard disk so that it can remember something about you at a later time. Typically, a cookie records your preferences when using a particular site. Using the Web's Hypertext Transfer Protocol (HTTP), each request for a Web page is independent of all other requests. For this reason, the Web page server has no memory of what pages it has sent to a user previously or anything about your previous visits. A cookie is a mechanism that allows the server to store its own file about a user on the user's own computer. The file is stored in a subdirectory of the browser directory (for example, as a subdirectory under the Netscape directory). The cookie subdirectory will contain a cookie file for each Web site you've been to that uses cookies.

Cookies are commonly used to rotate the banner ads that a site sends so that it doesn't keep sending the same ad as it sends you a succession of requested pages. They can also be used to customize the pages they send you based on your browser type or other information you may have provided the Web site. Web users must agree to let cookies be saved for them, but, in general, it helps Web sites to serve users better.


Daemon

A program that runs continuously and exists for the purpose of handling periodic service requests that a computer system expects to receive. The daemon program forwards the requests to other programs (or processes) as appropriate. Each server of pages on the Web has an HTTPD or Hypertext Transfer Protocol daemon that continually waits for requests to come in from Web clients and their users.


Winsock description

A description of the Windows Sockets implementation, including vendor identification.


DHCP

DHCP (Dynamic Host Configuration Protocol)

A protocol that lets network administrators manage centrally and automate the assignment of Internet Protocol (IP) addresses in an organization's network. Using the Internet's set of protocols (TCP/IP), each machine that can connect to the Internet needs a unique IP address. When an organization sets up its computer users with a connection to the Internet, an IP address must be assigned to each machine. Without DHCP, the IP address must be entered manually at each computer and, if computers move to another location in another part of the network, a new IP address must be entered. DHCP lets a network administrator supervise and distribute IP addresses from a central point and automatically sends a new IP address when a computer is plugged into a different place in the network.

DHCP uses the concept of a "lease" or amount of time that a given IP address will be valid for a computer. The lease time can vary depending on how long a user is likely to require the Internet connection at a particular location. It's especially useful in education and other environments where users change frequently. Using very short leases, DHCP can dynamically reconfigure networks in which there are more computers than there are available IP addresses.

DHCP supports static addresses for computers containing Web servers that need a permanent IP address.


DNS

DNS (Domain Name System)

The online distributed database system used to map human-readable machine names into IP addresses. DNS servers throughout the connected Internet implement a hierarchical namespaces that allows sites freedom in assigning machine names and addresses. DNS also supports separate mappings between mail destinations and IP addresses.


Domain

A part of the DNS naming hierarchy. Syntactically, a domain name consists of a sequence of name (labels) separated by periods (dots).


Firewall

A set of related programs, located at a network gateway server that protects the resources of a private network from users from other networks. (The term also implies the security policy that is used with the programs.) An enterprise with an intranet that allows its workers access to the wider Internet installs a firewall to prevent outsiders from accessing its own private data resources and for controlling what outside resources its own users have access to.

Basically, a firewall, working closely with a router program, filters all network packets to determine whether to forward them toward their destination. A firewall also includes or works with a proxy server that makes network requests on behalf of workstation users. A firewall is often installed in a specially designated computer separate from the rest of the network so that no incoming request can get directly at private network resources.

There is a number of firewall screening methods. A simple one is to screen requests to make sure they come from acceptable (previously identified) domain names and IP addresses. For mobile users, firewalls allow remote access in to the private network by the use of secure logon procedures and authentication certificates.


Gateway

A special purpose, dedicated computer that attached to two or more networks and routes packets from one to the other. In particular, an IP gateway routes IP datagrams among the networks to which it connects. Gateways route packets to other gateways until they can be delivered to the final destination directly across one physical network.


Winsock high version

The highest version of the Windows Sockets specification that this DLL can support.


Hop

A measure of distance between two points in an Internet. A hop count of n means that n gateways separate the source and destination.


Host

Any (end-user) computer system that connected to a network. Hosts range in size from personal computers to supercomputers.


Host name

The unique name of a host. For example, ftp.microsoft.com is the host name of a computer whose IP address is 207.46.133.140. The host name is usually the same thing as the Fully Qualified Domain Name (FQDN).


HTTP

HTTP (Hypertext Transfer Protocol)

The set of rules for exchanging files (text, graphic images, sound, video, and other multimedia files) on the World Wide Web. Relative to the TCP/IP suite of protocols (which are the basis for information exchange on the Internet), HTTP is an application protocol.

Essential concepts that are part of HTTP include (as its name implies) the idea that files can contain references to other files whose selection will elicit additional transfer requests. Any Web server machine contains, in addition to the HTML and other files it can serve, an HTTP daemon, a program that is designed to wait for HTTP requests and handle them when they arrive. Your Web browser is an HTTP client, sending requests to server machines. When the browser user enters file requests by either "opening" a Web file (typing in a Uniform Resource Locator or URL) or clicking on a hypertext link, the browser builds an HTTP request and sends it to the Internet Protocol address indicated by the URL. The HTTP daemon in the destination server machine receives the request and, after any necessary processing, the requested file is returned.

The latest version of HTTP is HTTP 1.1.


Hypertext

The organization of information units into connected associations that a user can choose to make. An instance of such an association is called a link or hypertext link. (And the highlighted word "link" in the previous sentence is an example of a hypertext link.)

Hypertext was the main concept that led to the invention of the World Wide Web, which is, after all, nothing more (or less) than an enormous amount of information content connected by an enormous number of hypertext links.


ICMP

ICMP (Internet Control Message Protocol)

An integral part of the Internet Protocol (IP) that handles error and control message. Specifically, gateways and hosts use ICMP to send reports of problems about datagrams back to the original source that sent the datagram. ICMP also includes an echo request/reply used to test whether a destination is reachable and responding.


IP

IP (Internet Protocol)

The TCP/IP standard protocol that defines the IP datagram as the unit of information passed across an Internet and provides the basis for connectionless, best-effort packet delivery service. IP includes the ICMP control and error message protocol as an integral part.


IP address

The 32-bit address assigned to hosts that want to participate in a TCP/IP Internet. IP addresses are the abstraction of physical hardware addresses just as an Internet is an abstraction of physical networks. Actually assigned to the interconnection of a host to a physical network, an IP address consists of a network portion and a host portion. The partition makes routing efficient.


IP datagram

The basic unit of information passed across a TCP/IP Internet. An IP datagram is to an Internet as a hardware packet is to a physical network. It contains a source and destination address along with data.


Link

A selectable connection from one word, picture, or information object to another. In a multimedia environment such as the World Wide Web, such objects can include sound and motion video sequences. The most common form of link is the highlighted word or picture that can be selected by the user (with a mouse or in some other fashion), resulting in the immediate delivery and view of another file.

Although most links do not offer the user a choice of types of link, it would be possible for the user to be provided a choice of link types, such as: a definition of the object, an example of it, a picture of it, a smaller or larger picture of it, and so forth.

Links are what make the World Wide Web a web.


Localhost

In DNS, "Localhost" is a special IP name that always refers to the local host and, by convention, has the IP address 127.0.0.1.


MAC address

The physical address is associated with the Ethernet interface hardware. In addition, other hardware and software may be assigned their own MAC addresses. For example, a modem can have a MAC address. Also, a RAS client or server can install "dummy" network adapters that correspond to a dialup or serial connection. Normally, these MAC addresses are randomly generated.


NetBEUI

NetBEUI (NetBIOS Extended User Interface)

The program that lets computers communicate within a local area network. NetBEUI is the best performance choice for communication within a single LAN. Because it does not support the routing of messages to other networks, its interface must be adapted to other protocols such as TCP/IP. A recommended method is to install both NetBEUI and TCP/IP in each computer and set the server up to use NetBEUI for communication within the LAN and TCP/IP for communication beyond the LAN.


Packet

The unit of data sent across a packet switching network.


Port

The abstraction that transport protocols use to distinguish among multiple destinations within a given host computer. TCP/IP protocols identify ports using small positive integers. Usually, the operating system allows an application program to specify which port it wants to use. Some ports are reserved for standard services (e.g. electronic mail).


RFC

 RFC (Request For Comments)

The name of a series of notes that contain surveys, measurements, ideas, techniques, and observations, as well as proposed and accepted TCP/IP protocol standards. RFCs are edited but not refereed. They are available on-line from the Network Information Center.


Router

On the Internet, a router is a device or, in some cases, software in a computer, that determines the next network point to which a packet should be forwarded toward its destination. The router is connected to at least two networks and decides which way to send each information packet based on its current understanding of the state of the networks it is connected to. A router is located at any juncture of networks or gateway, including each Internet point-of-presence. A router is often included as part of a network switch.

A router creates or maintains a table of the available routes and their conditions and uses this information along with distance and cost algorithms to determine the best route for a given packet. Typically, a packet may travel through a number of network points with routers before arriving at its destination.


RTT

RTT (Round Trip Time)

A measure of delay between two hosts. The round trip time consists of the total time taken for a single packet or datagram to leave one machine, reach the other, and return.


Server

1) In general, a server is a computer program that provides services to other computer programs in the same or other computers.

2) The computer that a server program runs in is also frequently referred to as a server (though it may contain a number of server and client programs).

3) In the client/server programming model, a server is a program that awaits and fulfills requests from client programs in the same or other computers. A given application in a computer may function as a client with requests for services from other programs and a server of requests from other programs.


Service

Often used as an informal term for the implementation of a standard Internet protocol, for example the Time service or Finger service. Service is also a formal Windows NT term for a program that can be automatically started when the system is booted and will continue to run until the system is shut down. The service will continue to run even when no one is logged on the system.


Socket

The abstraction that allows an application program to access the TCP/IP protocols.


Sockets

The maximum number of sockets, which a single process can potentially open.


System status

Relevant status or configuration information of the Windows Sockets.


TCP

TCP (Transmission Control Protocol)

The TCP/IP standard transport level protocol that provides the reliable, full duplex, stream service on which many application protocols depend. TCP allows a process on one machine to send a stream of data to a process on another. It is connection-oriented in the sense that before transmitting data, participants must establish a connection. Software implementing TCP usually resides in the operating system and uses the IP protocol to transmit information across the underlying Internet.


TCP/IP

TCP/IP (Transmission Control Protocol over Internet Protocol)

A suite of networking protocols, principally TCP and IP, that communicate across interconnected networks, allowing dissimilar hardware, operating systems, and network protocols to communicate. TCP/IP is supported by virtually every operating system.


TTL

TTL (Time To Live)

A technique used in best-effort delivery systems to avoid endlessly looping packets. For example, each IP datagram is assigned an integer time to live when it is created. IP gateways decrement the time to live field when they process a datagram and discard the datagram if the time to live counter reaches zero.


UDP

UDP (User Datagram Protocol)

The TCP/IP standard protocol that allows an application program on one machine to send a datagram to an application program on another machine. UDP uses the Internet Protocol (IP) to deliver datagrams. Conceptually, the important difference between UDP datagrams and IP datagrams is that UDP includes a protocol port number, allowing the sender to distinguish among multiple destinations (application programs) on the remote machine. In practice, UDP also includes a checksum over the data being sent.


UDP size

The size in bytes of the largest UDP datagram that can be sent or received by a Windows Sockets application.


URL

URL (Uniform Resource Locator)

The descriptor used on the World Wide Web to identify a specific site or file. The URL combines the protocol being used (HTTP), with the site address (www.netinfo.co.il), directory path (/images/), and (sometimes) a filename. For example, http://www.netinfo.co.il/images/screenshot.gif.


User name

The name that identifies an user.


Winsock version

The version of the Windows Sockets specification that the Windows Sockets DLL expects the caller to use.


Web help

Get the latest answers to technical questions via the Internet

NetInfo Support Service

If you have a question and can't find the answer in the NetInfo Help file, go to NetInfo Support. Just submit a request, and will usually receive a reply within three business days.

To begin, go to NetInfo Support.


WINS

WINS (Windows Internet Naming Service)

A part of the Microsoft Windows NT Server, manages the association of workstation names and locations with Internet Protocol addresses (IP addresses) without the user or an administrator having to be involved in each configuration change. WINS automatically creates a computer name-IP address mapping entry in a table, ensuring that the name is unique and not a duplicate of someone else's computer name. When a computer is moved to another geographic location, the subnet part of the IP address is likely to change. Using WINS, the new subnet information will be updated automatically in the WINS table. WINS complements the NT Server's DHCP, which negotiates an IP address for any computer (such as your workstation) when it is first defined to the network. If you're a computer user on a network connected to a Windows NT Server, you may find WINS mentioned in some of your network-related programs or system messages.


 Winsock

The Windows Sockets specification defines a network-programming interface for Microsoft Windows, which is based on the "socket" paradigm popularized in the Berkeley Software Distribution (BSD) from the University of California at Berkeley. It encompassed both familiar Berkeley socket style routines and a set of Windows-specific extensions designed to allow the programmer to take advantage of message-driven nature of Windows.